### Function

# Template Expr new_func

#### Declaration

    TmplExpr*
    tmpl_expr_new_func (
      char* name,
      char** symlist,
      TmplExpr* list
    )

#### Description

No description available.

#### Parameters

`name`

  Type: `char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`symlist`

  Type: `char**`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`list`

  Type: `TmplExpr`

  No description available.

  The data is owned by the caller of the function.

#### Return value

Type: `TmplExpr`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.